Subject: Re: bug#75655: configure doesn't update Makefile

From: Eli Zaretskii <[email-masked]>
Date: Fri, 24 Jan 2025 08:59:07 +0200

> Date: Thu, 23 Jan 2025 20:23:39 +0000
> From: Pip Cet <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>, [email-masked], [email-masked]
> 
> "Stefan Kangas" <[email-masked]> writes:
> 
> > Eli Zaretskii <[email-masked]> writes:
> >
> >> You should not have uncommitted changes, ever.  Always either commit
> >> them (on a local branch if needed) or stash them.  Keeping uncommitted
> >> changes runs the risk of pushing them inadvertently with unrelated
> >> changes (it happened to me and to others).
> >
> > FWIW, while you're probably right in the abstract, I have a habit of
> > doing exactly that.  This is for various reasons: it's impractical to
> > commit them only to a specific branch, stashing gets old quick, and it's
> > also quite inconvenient to keep them outside the repository.  Right now,
> > for instance, I have nine important yet untracked files in my
> > repository.
> 
> I'm still not sure why of those two scenarios:
> 
> A:
> 1. make some changes
> 2. commit them to a local branch
> 3. accidentally push that brach
> 
> is more likely than
> 
> B:
> 1. make some changes
> 2. accidentally run "git add"
> 3. accidentally run "git commit"
> 4. accidentally push the changes
> 
> It seems that (B) requires three mistakes, (A) only one.

First, I said "or stash".  That has the advantage that changes cannot
be pushed by mistake.

And second, since "git add" is a nuisance, at least IMO, I expect
people to use "git commit -a", which then requires only 1 mistake, not
2 (I don't understand how you counted 3, since the commit step is not
a mistake).

> Those differences might explain a lot.  I use magit, too (but not for
> pushing; I have a well-ingrained sequence of commands starting with
> "git push --dry-run savannah HEAD:feature/igc" for that.)

I don't use magit.